These should work on a stock Fedora Core 6 System that was running GAIM 2.0 Beta. If not, you may have some dependencies to download. They are not signed, and only libpurple and pidgin are required downloads for Pidgin to work. No warranties as to anything about these packages. They work on my Fedora Core 6 system, and that's all I know.

More information can be found at Pidgin Project.

finch-2.0.0-0.1.i386.rpm
finch-devel-2.0.0-0.1.i386.rpm
libpurple-2.0.0-0.1.i386.rpm
libpurple-devel-2.0.0-0.1.i386.rpm
pidgin-2.0.0-0.1.i386.rpm
pidgin-2.0.0-0.1.src.rpm
pidgin-debuginfo-2.0.0-0.1.i386.rpm
pidgin-devel-2.0.0-0.1.i386.rpm

Cheers,
David

Cafaro's Ramblings